<?php
$apellidos = trim($_REQUEST["apellidos"]);
$nombre  = trim($_REQUEST["nombre"]);
$dni  = trim($_REQUEST["dni"]);
$nacido_en_localidad  = trim($_REQUEST["nacido_en_localidad"]);
$nacido_en_provincia  = trim($_REQUEST["nacido_en_provincia"]);
$nacido_en_fecha  = trim($_REQUEST["nacido_en_fecha"]);
$domicilio_tipo  = trim($_REQUEST["domicilio_tipo"]);
$domicilio_direccion  = trim($_REQUEST["domicilio_direccion"]);
$domicilio_cp  = trim($_REQUEST["domicilio_cp"]);
$domicilio_localidad  = trim($_REQUEST["domicilio_localidad"]);
$domicilio_provincia  = trim($_REQUEST["domicilio_provincia"]);
$telefono  = trim($_REQUEST["telefono"]);

$patron_nombre   = "^[[:alpha:] áéíóúüÁÉÍÓÚÜ]+$";
$nombre_correcto   = ereg($patron_nombre,   $nombre);

print "<?xml version=\"1.0\" encoding=\"iso-8859-1\" ?>\n
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Strict//EN\"
     \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\">
<html>
<head>
    <title>Comprobación Formulario datos personales - Páginas web con Amaya - Ejercicios -
  Bartolomé Sintes Marco</title>
    <meta http-equiv=\"Content-Type\" content=\"text/html; charset=ISO-8859-1\" />
    <link href=\"ejercicio_hoja_inscripcion_2.css\" rel=\"stylesheet\" type=\"text/css\" />
</head>
<body>
<h1>Comprobación Formulario datos personales</h1>";
print "<p>Datos:</p>\n
  <ul>\n";
if ($nombre) print "    <li>Nombre: $nombre</li>";
else print "    <li class='falta'>Nombre: No introducido</li>";

if ($apellidos) print "    <li>Apellidos: $apellidos</li>";
else print "    <li class='falta'>Apellidos: No introducido</li>";

if ($dni) print "    <li>DNI: $dni</li>";
else print "    <li class='falta'>DNI: No introducido</li>";

if ($nacido_en_localidad) print "    <li>Localidad de nacimiento: $nacido_en_localidad</li>";
else print "    <li class='falta'>Localidad de nacimiento: No introducido</li>";

if ($nacido_en_provincia) print "    <li>Provincia de nacimiento: $nacido_en_provincia</li>";
else print "    <li class='falta'>Provincia de nacimiento: No introducido</li>";

if ($nacido_en_fecha) print "    <li>Fecha de nacimiento: $nacido_en_fecha</li>";
else print "    <li class='falta'>Fecha de nacimiento: No introducido</li>";

if ($domicilio_tipo!="-1") print "    <li>Tipo de vía: $domicilio_tipo</li>";
else print "    <li class='falta'>Tipo de vía: No introducido</li>";

if ($domicilio_direccion) print "    <li>Domicilio: $domicilio_direccion</li>";
else print "    <li class='falta'>Domicilio: No introducido</li>";

if ($domicilio_cp) print "    <li>CP: $domicilio_cp</li>";
else print "    <li class='falta'>CP: No introducido</li>";

if ($domicilio_localidad) print "    <li>Localidad: $domicilio_localidad</li>";
else print "    <li class='falta'>Localidad: No introducido</li>";

if ($domicilio_provincia) print "    <li>Provincia: $domicilio_provincia</li>";
else print "    <li class='falta'>Provincia: No introducido</li>";

if ($telefono) print "    <li>Teléfono: $telefono</li>";
else print "    <li class='falta'>Teléfono: No introducido</li>";
    
print"\n  </ul>
  </body>\n</html>";
?>
